아마존 카테고리
Amazon Category는 특정 Amazon 카테고리 또는 하위 카테고리의 제품 목록을 가격, 평점, Prime 자격, 배송 세부 정보와 함께 반환합니다.
Endpoint
섹션 제목: “Endpoint” GET https://ecom.shifter.io/v1?engine=amazon&api_key=YOUR_API_KEY&type=category
Parameters
섹션 제목: “Parameters”| Parameter | Type | Required | Description |
|---|---|---|---|
api_key | string | yes | SERP API 키(Amazon과 공유됨). |
engine | string | yes | amazon이어야 합니다. |
type | string | yes | category이어야 합니다. |
category_id | string | yes | 카테고리 별칭 또는 숫자 ID(예: amazon-devices). |
domain | string | no | 마켓플레이스 도메인, 기본값 amazon.com. |
device | desktop | mobile | no | 시뮬레이션할 디바이스. |
page | integer | no | 결과 페이지 번호. |
Example request
섹션 제목: “Example request”curl "https://ecom.shifter.io/v1?engine=amazon&api_key=YOUR_API_KEY&type=category&category_id=amazon-devices"import requests
params = { "engine": "amazon", "api_key": "YOUR_API_KEY", "type": "category", "category_id": "amazon-devices",}r = requests.get("https://ecom.shifter.io/v1", params=params)data = r.json()import fetch from 'node-fetch';
const url = 'https://ecom.shifter.io/v1?' + new URLSearchParams({ engine: 'amazon', api_key: 'YOUR_API_KEY', type: 'category', category_id: 'amazon-devices',});
const res = await fetch(url);const data = await res.json();Example response
섹션 제목: “Example response”{ "search_parameters": { "engine": "amazon", "amazon_domain": "amazon.com", "type": "category", "category_id": "amazon-devices" }, "category_results": { "product_results": [ { "position": 1, "product_id": "B08C1W5N87", "title": "Fire TV Stick with Alexa Voice Remote", "link": "/dp/B08C1W5N87", "price": "$19.99", "price_raw": "$39.99", "currency": "$", "is_prime": true, "rating": { "rating": "4.7 out of 5 stars", "total_ratings": 141438 }, "amazon_choice": { "link": "/dp/B08C1W5N87" } }, { "position": 2, "product_id": "B08XVYZ1Y5", "title": "Fire TV Stick 4K", "price": "$29.99", "deal": "Limited time deal" } ] }}